Subject: Re: [bug#29976] [PATCH] gnu: Add git-subtree.

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 5 Jan 2018 07:50:23 +0100

Leo Famulari <[email-masked]> writes:

> On Thu, Jan 04, 2018 at 04:49:51PM -0500, Leo Famulari wrote:
>> > I just wanted to use git-subtree without having to rebuild all packages
>> > that use git for fetching the sources.
>> > 
>> > We could make this part of the regular git package, but only on
>> > (the next) core-updates.
>> 
>> I didn't realize this was an issue. We update the Git package whenever
>> there is a new release.
>
> Thinking about it for another minute, shouldn't those packages not need
> to be rebuilt, since origins are fixed-output derivations?

Yes, you are right.  I didn’t think of this.
So, I’m going to add this as a phase to the git package.

-- 
Ricardo